scala

# Tuple7

###
Related Doc: package scala

#### case class Tuple7[+T1, +T2, +T3, +T4, +T5, +T6, +T7](_1: T1, _2: T2, _3: T3, _4: T4, _5: T5, _6: T6, _7: T7) extends Product7[T1, T2, T3, T4, T5, T6, T7] with Product with Serializable

A tuple of 7 elements; the canonical representation of a scala.Product7.

_1

  Element 1 of this Tuple7

_2

  Element 2 of this Tuple7

_3

  Element 3 of this Tuple7

_4

  Element 4 of this Tuple7

_5

  Element 5 of this Tuple7

_6

  Element 6 of this Tuple7

_7

  Element 7 of this Tuple7

Annotations
  @deprecatedInheritance( ... , "2.11.0" )
Source
  Tuple7.scala

Linear Supertypes
Serializable, java.io.Serializable, Product7[T1, T2, T3, T4, T5, T6, T7], Product, Equals, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Tuple7
2. Serializable
3. Serializable
4. Product7
5. Product
6. Equals
7. AnyRef
8. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new Tuple7(_1: T1, _2: T2, _3: T3, _4: T4, _5: T5, _6: T6, _7: T7)

   Create a new tuple with 7 elements.

   Create a new tuple with 7 elements. Note that it is more idiomatic to create a Tuple7 via `(t1, t2, t3, t4, t5, t6, t7)`

   _1

     Element 1 of this Tuple7

   _2

     Element 2 of this Tuple7

   _3

     Element 3 of this Tuple7

   _4

     Element 4 of this Tuple7

   _5

     Element 5 of this Tuple7

   _6

     Element 6 of this Tuple7

   _7

     Element 7 of this Tuple7

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types and `null`.

   Equivalent to `x.hashCode` except for boxed numeric types and `null`. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them. For `null` returns a hashcode where `null.hashCode` throws a `NullPointerException`.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from (T1, T2, T3, T4, T5, T6, T7) to any2stringadd[(T1, T2, T3, T4, T5, T6, T7)] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): ((T1, T2, T3, T4, T5, T6, T7), B)

   Implicit information
     This member is added by an implicit conversion from (T1, T2, T3, T4, T5, T6, T7) to ArrowAssoc[(T1, T2, T3, T4, T5, T6, T7)] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     AnyRef → Any

6. #### val _1: T1

   Element 1 of this Tuple7

   Element 1 of this Tuple7

   Definition Classes
     Tuple7 → Product7

7. #### val _2: T2

   Element 2 of this Tuple7

   Element 2 of this Tuple7

   Definition Classes
     Tuple7 → Product7

8. #### val _3: T3

   Element 3 of this Tuple7

   Element 3 of this Tuple7

   Definition Classes
     Tuple7 → Product7

9. #### val _4: T4

   Element 4 of this Tuple7

   Element 4 of this Tuple7

   Definition Classes
     Tuple7 → Product7

10. #### val _5: T5

    Element 5 of this Tuple7

    Element 5 of this Tuple7

    Definition Classes
      Tuple7 → Product7

11. #### val _6: T6

    Element 6 of this Tuple7

    Element 6 of this Tuple7

    Definition Classes
      Tuple7 → Product7

12. #### val _7: T7

    Element 7 of this Tuple7

    Element 7 of this Tuple7

    Definition Classes
      Tuple7 → Product7

13. #### final def asInstanceOf[T0]: T0

    Cast the receiver object to be of type `T0`.

    Cast the receiver object to be of type `T0`.

    Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

    returns

      the receiver object.

    Definition Classes
      Any
    Exceptions thrown

      `ClassCastException` if the receiver object is not an instance of the erasure of type `T0`.

14. #### def clone(): AnyRef

    Create a copy of the receiver object.

    Create a copy of the receiver object.

    The default implementation of the `clone` method is platform dependent.

    returns

      a copy of the receiver object.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @HotSpotIntrinsicCandidate() @throws( ... )
    Note

      not specified by SLS as a member of AnyRef

15. #### def ensuring(cond: ((T1, T2, T3, T4, T5, T6, T7)) ⇒ Boolean, msg: ⇒ Any): (T1, T2, T3, T4, T5, T6, T7)

    Implicit information
      This member is added by an implicit conversion from (T1, T2, T3, T4, T5, T6, T7) to Ensuring[(T1, T2, T3, T4, T5, T6, T7)] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

16. #### def ensuring(cond: ((T1, T2, T3, T4, T5, T6, T7)) ⇒ Boolean): (T1, T2, T3, T4, T5, T6, T7)

    Implicit information
      This member is added by an implicit conversion from (T1, T2, T3, T4, T5, T6, T7) to Ensuring[(T1, T2, T3, T4, T5, T6, T7)] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

17. #### def ensuring(cond: Boolean, msg: ⇒ Any): (T1, T2, T3, T4, T5, T6, T7)

    Implicit information
      This member is added by an implicit conversion from (T1, T2, T3, T4, T5, T6, T7) to Ensuring[(T1, T2, T3, T4, T5, T6, T7)] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

18. #### def ensuring(cond: Boolean): (T1, T2, T3, T4, T5, T6, T7)

    Implicit information
      This member is added by an implicit conversion from (T1, T2, T3, T4, T5, T6, T7) to Ensuring[(T1, T2, T3, T4, T5, T6, T7)] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

19. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`that`) is a reference to the receiver object (`this`).

    Tests whether the argument (`that`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

20. #### def formatted(fmtstr: String): String

    Returns string formatted according to given `format` string.

    Returns string formatted according to given `format` string. Format strings are as for `String.format` (@see java.lang.String.format).

    Implicit information
      This member is added by an implicit conversion from (T1, T2, T3, T4, T5, T6, T7) to StringFormat[(T1, T2, T3, T4, T5, T6, T7)] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

21. #### final def getClass(): Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Annotations
      @HotSpotIntrinsicCandidate()
    Note

      not specified by SLS as a member of AnyRef

22. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

23. #### final def ne(arg0: AnyRef): Boolean

    Equivalent to `!(this eq that)`.

    Equivalent to `!(this eq that)`.

    returns

      `true` if the argument is not a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

24. #### final def notify(): Unit

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Annotations
      @HotSpotIntrinsicCandidate()
    Note

      not specified by SLS as a member of AnyRef

25. #### final def notifyAll(): Unit

    Wakes up all threads that are waiting on the receiver object's monitor.

    Wakes up all threads that are waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Annotations
      @HotSpotIntrinsicCandidate()
    Note

      not specified by SLS as a member of AnyRef

26. #### def productArity: Int

    The arity of this product.

    The arity of this product.

    returns

      7

    Definition Classes
      Product7 → Product

27. #### def productElement(n: Int): Any

    Returns the n-th projection of this product if 0 <= n < productArity, otherwise throws an `IndexOutOfBoundsException`.

    Returns the n-th projection of this product if 0 <= n < productArity, otherwise throws an `IndexOutOfBoundsException`.

    n

      number of the projection to be returned

    returns

      same as `._(n+1)`, for example `productElement(0)` is the same as `._1`.

    Definition Classes
      Product7 → Product
    Annotations
      @throws( clazz = classOf[IndexOutOfBoundsException] )
    Exceptions thrown

28. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

29. #### def toString(): String

    Creates a String representation of this object.

    Creates a String representation of this object. The default representation is platform dependent. On the java platform it is the concatenation of the class name, "@", and the object's hashcode in hexadecimal.

    returns

      a String representation of the object.

    Definition Classes
      Tuple7 → AnyRef → Any

30. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

31. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

32. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

33. #### def →[B](y: B): ((T1, T2, T3, T4, T5, T6, T7), B)

    Implicit information
      This member is added by an implicit conversion from (T1, T2, T3, T4, T5, T6, T7) to ArrowAssoc[(T1, T2, T3, T4, T5, T6, T7)] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Deprecated Value Members

1. #### def finalize(): Unit

   Called by the garbage collector on the receiver object when there are no more references to the object.

   Called by the garbage collector on the receiver object when there are no more references to the object.

   The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @Deprecated @deprecated @throws( classOf[java.lang.Throwable] )
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

   Note

     not specified by SLS as a member of AnyRef

### Inherited from Serializable

### Inherited from java.io.Serializable

### Inherited from Product7[T1, T2, T3, T4, T5, T6, T7]

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from (T1, T2, T3, T4, T5, T6, T7) to any2stringadd[(T1, T2, T3, T4, T5, T6, T7)]

### Inherited by implicit conversion StringFormat from (T1, T2, T3, T4, T5, T6, T7) to StringFormat[(T1, T2, T3, T4, T5, T6, T7)]

### Inherited by implicit conversion Ensuring from (T1, T2, T3, T4, T5, T6, T7) to Ensuring[(T1, T2, T3, T4, T5, T6, T7)]

### Inherited by implicit conversion ArrowAssoc from (T1, T2, T3, T4, T5, T6, T7) to ArrowAssoc[(T1, T2, T3, T4, T5, T6, T7)]

### Ungrouped